Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.database
Class DatabaseUtils

    java.lang.Object
      edu.stanford.smi.protege.storage.database.DatabaseUtils

    public class DatabaseUtils

extends Object

Field Summary
`static int` | `BASE_FRAME_TYPE_VALUE`
`static String` | `NULL_FRAME_ID_STRING`

Constructor Summary
`DatabaseUtils()`

Method Summary
`static Facet` | `getFacet(ResultSet rs, int index, FrameFactory factory, boolean isInclude)`
`static Frame` | `getFrame(ResultSet rs, int frameIndex, int typeIndex, FrameFactory factory, boolean isInclude)`
`static int` | `getIndex(ResultSet rs, int index)`
`static boolean` | `getIsTemplate(ResultSet rs, int index)`
`static int` | `getIsTemplateValue(boolean isTemplate)`
`static Object` | `getLongValue(ResultSet rs, int valueIndex)`
`static String` | `getMatchString(String input, char escapeChar)`
`static Object` | `getShortValue(ResultSet rs, int valueIndex, int valueTypeIndex, FrameFactory factory, int projectId, boolean isInclude)`
`static Slot` | `getSlot(ResultSet rs, int index, FrameFactory factory, boolean isInclude)`
`static int` | `getStringValueType()`
`static String` | `getValue(FrameID id)`
`static void` | `setFacet(PreparedStatement stmt, int index, Facet facet)`
`static void` | `setFrame(PreparedStatement stmt, int index, Frame frame)`
`static void` | `setFrame(PreparedStatement stmt, int frameIndex, int typeIndex, Frame frame, FrameFactory factory)`
`static void` | `setFrameId(PreparedStatement stmt, int index, FrameID frameId)`
`static void` | `setFrameType(PreparedStatement stmt, int index, int type)`
`static void` | `setIsTemplate(PreparedStatement stmt, int index, boolean isTemplate)`
`static void` | `setLongValue(PreparedStatement stmt, int valueIndex, Object object)`
`static void` | `setNullLongValue(PreparedStatement stmt, int index)`
`static void` | `setShortMatchValue(PreparedStatement stmt, int valueIndex, int valueTypeIndex, String value, char escapeChar)`
`static void` | `setShortValue(PreparedStatement stmt, int valueIndex, int valueTypeIndex, Object object, FrameFactory factory)`
`static void` | `setSlot(PreparedStatement stmt, int index, Slot slot)`
`static void` | `setValue(PreparedStatement stmt, int shortValueIndex, int longValueIndex, int valueTypeIndex, Object o, int sizeLimit, FrameFactory factory)`
`static void` | `setValueIndex(PreparedStatement stmt, int index, int valueIndex)`
`static void` | `setValueType(PreparedStatement stmt, int index, int type)`
`static void` | `setValueType(PreparedStatement stmt, int index, Object o, FrameFactory factory)`
`static int` | `valueType(Object value, FrameFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_FRAME_ID_STRING

    public static final String NULL_FRAME_ID_STRING

See Also:
  Constant Field Values

### BASE_FRAME_TYPE_VALUE

    public static final int BASE_FRAME_TYPE_VALUE

See Also:
  Constant Field Values

Constructor Detail

### DatabaseUtils

    public DatabaseUtils()

Method Detail

### getValue

    public static String getValue(FrameID id)

### getStringValueType

    public static int getStringValueType()

### setValueType

    public static void setValueType(PreparedStatement stmt,
                                    int index,
                                    Object o,
                                    FrameFactory factory)
                             throws SQLException

  Throws:
    `SQLException`

### setValueType

    public static void setValueType(PreparedStatement stmt,
                                    int index,
                                    int type)
                             throws SQLException

  Throws:
    `SQLException`

### valueType

    public static int valueType(Object value,
                                FrameFactory factory)

### setFrameId

    public static void setFrameId(PreparedStatement stmt,
                                  int index,
                                  FrameID frameId)
                           throws SQLException

  Throws:
    `SQLException`

### setFrame

    public static void setFrame(PreparedStatement stmt,
                                int index,
                                Frame frame)
                         throws SQLException

  Throws:
    `SQLException`

### setFrame

    public static void setFrame(PreparedStatement stmt,
                                int frameIndex,
                                int typeIndex,
                                Frame frame,
                                FrameFactory factory)
                         throws SQLException

  Throws:
    `SQLException`

### setSlot

    public static void setSlot(PreparedStatement stmt,
                               int index,
                               Slot slot)
                        throws SQLException

  Throws:
    `SQLException`

### setFacet

    public static void setFacet(PreparedStatement stmt,
                                int index,
                                Facet facet)
                         throws SQLException

  Throws:
    `SQLException`

### setIsTemplate

    public static void setIsTemplate(PreparedStatement stmt,
                                     int index,
                                     boolean isTemplate)
                              throws SQLException

  Throws:
    `SQLException`

### getIsTemplateValue

    public static int getIsTemplateValue(boolean isTemplate)

### setValueIndex

    public static void setValueIndex(PreparedStatement stmt,
                                     int index,
                                     int valueIndex)
                              throws SQLException

  Throws:
    `SQLException`

### setShortValue

    public static void setShortValue(PreparedStatement stmt,
                                     int valueIndex,
                                     int valueTypeIndex,
                                     Object object,
                                     FrameFactory factory)
                              throws SQLException

  Throws:
    `SQLException`

### setShortMatchValue

    public static void setShortMatchValue(PreparedStatement stmt,
                                          int valueIndex,
                                          int valueTypeIndex,
                                          String value,
                                          char escapeChar)
                                   throws SQLException

  Throws:
    `SQLException`

### setLongValue

    public static void setLongValue(PreparedStatement stmt,
                                    int valueIndex,
                                    Object object)
                             throws SQLException

  Throws:
    `SQLException`

### setNullLongValue

    public static void setNullLongValue(PreparedStatement stmt,
                                        int index)
                                 throws SQLException

  Throws:
    `SQLException`

### setValue

    public static void setValue(PreparedStatement stmt,
                                int shortValueIndex,
                                int longValueIndex,
                                int valueTypeIndex,
                                Object o,
                                int sizeLimit,
                                FrameFactory factory)
                         throws SQLException

  Throws:
    `SQLException`

### getMatchString

    public static String getMatchString(String input,
                                        char escapeChar)

### getFrame

    public static Frame getFrame(ResultSet rs,
                                 int frameIndex,
                                 int typeIndex,
                                 FrameFactory factory,
                                 boolean isInclude)
                          throws SQLException

  Throws:
    `SQLException`

### getSlot

    public static Slot getSlot(ResultSet rs,
                               int index,
                               FrameFactory factory,
                               boolean isInclude)
                        throws SQLException

  Throws:
    `SQLException`

### getFacet

    public static Facet getFacet(ResultSet rs,
                                 int index,
                                 FrameFactory factory,
                                 boolean isInclude)
                          throws SQLException

  Throws:
    `SQLException`

### getShortValue

    public static Object getShortValue(ResultSet rs,
                                       int valueIndex,
                                       int valueTypeIndex,
                                       FrameFactory factory,
                                       int projectId,
                                       boolean isInclude)
                                throws SQLException

  Throws:
    `SQLException`

### getLongValue

    public static Object getLongValue(ResultSet rs,
                                      int valueIndex)
                               throws SQLException

  Throws:
    `SQLException`

### getIndex

    public static int getIndex(ResultSet rs,
                               int index)
                        throws SQLException

  Throws:
    `SQLException`

### getIsTemplate

    public static boolean getIsTemplate(ResultSet rs,
                                        int index)
                                 throws SQLException

  Throws:
    `SQLException`

### setFrameType

    public static void setFrameType(PreparedStatement stmt,
                                    int index,
                                    int type)
                             throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.